Draft Scale: Difference between revisions

From FreeCAD Documentation
m (template fr)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Draft_Scale|Workbenches=[[Draft Module|Draft]]|MenuLocation=Draft -> Scale|Shortcut=S C}}
{{GuiCommand|Name=Draft_Scale|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Scale|Shortcut=S C|SeeAlso=[[Draft Clone]]}}


====Description====
==Description==


This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.
This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.


[[Image:Draft_Scale_example.jpg]]
[[Image:Draft_Scale_example.jpg|400px]]


====Usage====
==How to use==


# Select objects you wish to scale
* Picking a point on an empty area of the 3d view, or on an existing object for the base point, then another point for the scale factor
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]

==Options==

* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
* The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of scaling the original. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Pressing {{KEY|CTRL}} will [[Draft_Snap|snap]] your point to availible snap locations.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Pressing {{KEY|SHIFT}} will lock x and y values together, so the shape is not deformed
* Pressing {{KEY|ESC}} will cancel the operation.
* Pressing {{KEY|SHIFT}} will lock x and y values together, so the shape is not deformed.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
* Enter numbers to [[Draft_Coordinates|manually insert a coordinate]].
* The resulting object is a [[Draft Clone]], which allows you to change the scale values after it has been created.
* {{KEY|C}} switches the copy mode on/off. With Copy on, objects will be copied instead of moved.

* Pressing {{KEY|ALT}} will make a copy, even if the Copy check button is off.
==Scripting==
* If {{KEY|ALT}} is pressed, you will be able to make multiple copies until the {{KEY|ALT}} is released.

The Scale tool can by used in [[macros]] and from the python console by using the following function:

'''scale (objects,vector,[center,copy,legacy])''': Scales the objects contained in objects (that can be a list of objects
or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
If legacy is True, direct (old) mode is used, otherwise a parametric copy is made. If copy is True, the actual objects
are not moved, but copies are created instead. The objects (or their copies) are returned.

Example:


import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))


{{languages | {{es|Draft Scale/es}} {{fr|Draft Scale/fr}} {{it|Draft Scale/it}} {{se|Draft Scale/se}} }}
{{languages | {{es|Draft Scale/es}} {{fr|Draft Scale/fr}} {{it|Draft Scale/it}} {{se|Draft Scale/se}} }}

Revision as of 15:05, 22 August 2012

Draft_Scale

Menu location
Draft -> Scale
Workbenches
Draft, Arch
Default shortcut
S C
Introduced in version
-
See also
Draft Clone

Description

This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.

File:Draft Scale example.jpg

How to use

  1. Select objects you wish to scale
  2. Press the Draft Scale button, or press S then C keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Options

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of scaling the original. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will lock x and y values together, so the shape is not deformed.
  • Press ESC or the Cancel button to abort the current command.
  • The resulting object is a Draft Clone, which allows you to change the scale values after it has been created.

Scripting

The Scale tool can by used in macros and from the python console by using the following function:

scale (objects,vector,[center,copy,legacy]): Scales the objects contained in objects (that can be a list of objects 
or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
If legacy is True, direct (old) mode is used, otherwise a parametric copy is made. If copy is True, the actual objects
are not moved, but copies are created instead. The objects (or their copies) are returned.

Example:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
Available translations of this page: Template:Se